#
# spec file for package pinax
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pinax
Version:        0.9a2
Release:        3.14
Url:            http://pinaxproject.com
Summary:        A platform for rapidly developing websites
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/P/Pinax/Pinax-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       docutils
Requires:       python-Creoleparser
Requires:       python-Genshi
Requires:       python-Markdown
Requires:       python-Pygments
Requires:       python-beautifulsoup
Requires:       python-diff_match_patch
Requires:       python-django >= 1.0.3
Requires:       python-django-ajax-validation
Requires:       python-django-announcements
Requires:       python-django-app-plugins
Requires:       python-django-atomformat
Requires:       python-django-attachments
Requires:       python-django-avatar
Requires:       python-django-bookmarks
Requires:       python-django-db-log
Requires:       python-django-dbtemplates
Requires:       python-django-debug-toolbar
Requires:       python-django-email-confirmation
Requires:       python-django-extensions
Requires:       python-django-filter
Requires:       python-django-flag
Requires:       python-django-friends
Requires:       python-django-frontendadmin
Requires:       python-django-generic-flatblocks
Requires:       python-django-gravatar
Requires:       python-django-locations
Requires:       python-django-mailer
Requires:       python-django-markup
Requires:       python-django-messages
Requires:       python-django-microblogging
Requires:       python-django-mptt
Requires:       python-django-notification
Requires:       python-django-oembed
Requires:       python-django-openid
Requires:       python-django-page-cms
Requires:       python-django-pagination
Requires:       python-django-photologue
Requires:       python-django-robots
Requires:       python-django-sorl-thumbnail
Requires:       python-django-sorting
Requires:       python-django-swaps
Requires:       python-django-tagging
Requires:       python-django-threadedcomments
Requires:       python-django-timezones
Requires:       python-django-uni-form
Requires:       python-django-voting
Requires:       python-django-wikiapp
Requires:       python-gdata
Requires:       python-geopy
Requires:       python-imaging
Requires:       python-openid >= 2.2.4
Requires:       python-python-python-dateutil
Requires:       python-setuptools
Requires:       python-simplejson >= 2.0.9
Requires:       python-textile
Requires:       python-twitter
Requires:       python-tz
Requires:       python-yadis
Requires:       python-ybrowserauth
Requires:       vobject
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%py_requires
%else
BuildArch:      noarch
%endif

%description
Pinax is an open-source platform built on the Django Web Framework.

By integrating numerous reusable Django apps to take care of the things that
many sites have in common, it lets you focus on what makes your site different.

%prep
%setup -n Pinax-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python_sitelib}

%files 
%defattr(-,root,root,-)
%{_bindir}/pinax-admin
%{python_sitelib}/*

%changelog
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jul 24 2012 saschpe@suse.de
- Update to version 0.9a2
* Sun Dec 12 2010 saschpe@gmx.de
- Update to version 0.9a1
- Re-generated with py2pack
  * now builds for more distros
* Tue Nov 16 2010 speilicke@novell.com
- Removed dependency to python-elementtree as it is part of
  python-2.6
* Sun May 30 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
* Wed Aug 19 2009 alexandre@exatati.com.br
- Fixed spec file with the requirements of Pinax 0.7.
